ag-grid-ng2 { display: inline-block; }
.ag-root { position: relative; box-sizing: border-box; overflow: hidden; }
.ag-font-style { cursor: default; font-size: 14px; user-select: none; }
.ag-no-scrolls { white-space: nowrap; display: inline-block; }
.ag-scrolls { height: 100%; }
.ag-popup-backdrop { position: fixed; left: 0px; top: 0px; width: 100%; height: 100%; }
.ag-header { position: absolute; top: 0px; left: 0px; white-space: nowrap; box-sizing: border-box; overflow: hidden; width: 100%; }
.ag-pinned-left-header { float: left; box-sizing: border-box; display: inline-block; overflow: hidden; height: 100%; }
.ag-pinned-right-header { float: right; box-sizing: border-box; display: inline-block; overflow: hidden; height: 100%; }
.ag-header-viewport { box-sizing: border-box; overflow: hidden; height: 100%; }
.ag-scrolls .ag-header-container { box-sizing: border-box; position: relative; white-space: nowrap; height: 100%; }
.ag-no-scrolls .ag-header-container { white-space: nowrap; }
.ag-header-overlay { display: block; position: absolute; }
.ag-header-cell { box-sizing: border-box; vertical-align: bottom; text-align: center; display: inline-block; height: 100%; }
.ag-header-cell-ghost { font-size: 14px; font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; position: absolute; background: rgb(229, 229, 229); border: 1px solid rgb(0, 0, 0); cursor: move; user-select: none; box-sizing: border-box; overflow: hidden; text-overflow: ellipsis; padding: 3px; line-height: 1.4; }
.ag-header-cell-ghost img { vertical-align: middle; border: 0px; }
.ag-header-cell-ghost-icon { float: left; padding-left: 2px; padding-right: 2px; }
.ag-header-group-cell { height: 100%; display: inline-block; box-sizing: border-box; text-overflow: ellipsis; overflow: hidden; }
.ag-header-group-cell-label { text-overflow: ellipsis; overflow: hidden; }
.ag-header-cell-label { text-overflow: ellipsis; overflow: hidden; }
.ag-header-cell-resize { height: 100%; width: 4px; float: right; cursor: col-resize; }
.ag-header-expand-icon { padding-left: 4px; }
.ag-header-cell-menu-button { float: right; }
.ag-overlay-panel { display: table; width: 100%; height: 100%; pointer-events: none; }
.ag-overlay-wrapper { display: table-cell; vertical-align: middle; text-align: center; }
.ag-body { height: 100%; box-sizing: border-box; }
.ag-floating-top { position: absolute; left: 0px; width: 100%; white-space: nowrap; box-sizing: border-box; overflow: hidden; }
.ag-pinned-left-floating-top { float: left; box-sizing: border-box; display: inline-block; overflow: hidden; height: 100%; }
.ag-pinned-right-floating-top { float: right; box-sizing: border-box; display: inline-block; overflow: hidden; height: 100%; }
.ag-floating-top-viewport { box-sizing: border-box; overflow: hidden; height: 100%; }
.ag-floating-top-container { box-sizing: border-box; position: relative; white-space: nowrap; }
.ag-floating-bottom { position: absolute; left: 0px; width: 100%; white-space: nowrap; box-sizing: border-box; overflow: hidden; }
.ag-pinned-left-floating-bottom { float: left; box-sizing: border-box; display: inline-block; overflow: hidden; height: 100%; }
.ag-pinned-right-floating-bottom { float: right; box-sizing: border-box; display: inline-block; overflow: hidden; height: 100%; }
.ag-floating-bottom-viewport { box-sizing: border-box; overflow: hidden; height: 100%; }
.ag-floating-bottom-container { box-sizing: border-box; position: relative; white-space: nowrap; }
.ag-pinned-left-cols-viewport { float: left; overflow: hidden; }
.ag-pinned-left-cols-container { display: inline-block; position: relative; }
.ag-pinned-right-cols-viewport { float: right; overflow: hidden auto; }
.ag-pinned-right-cols-container { display: inline-block; position: relative; }
.ag-body-viewport-wrapper { height: 100%; }
.ag-body-viewport { overflow: auto; height: 100%; }
.ag-scrolls .ag-body-container { position: relative; display: inline-block; }
.ag-scrolls .ag-row { white-space: nowrap; position: absolute; width: 100%; }
.ag-no-scrolls .ag-row { position: relative; }
.agile-gird-row:hover { background-color: rgb(240, 248, 255); }
.ag-row-group-panel { width: 100%; box-sizing: border-box; }
.ag-cell { display: inline-block; white-space: nowrap; height: 100%; box-sizing: border-box; text-overflow: ellipsis; overflow: hidden; position: absolute; }
.ag-group-cell-entire-row { width: 100%; display: inline-block; white-space: nowrap; height: 100%; box-sizing: border-box; text-overflow: ellipsis; overflow: hidden; }
.ag-footer-cell-entire-row { width: 100%; display: inline-block; white-space: nowrap; height: 100%; box-sizing: border-box; text-overflow: ellipsis; overflow: hidden; }
.ag-large .ag-root { font-size: 20px; }
.ag-menu { position: absolute; user-select: none; }
.ag-menu-column-select-wrapper { width: 200px; height: 300px; }
.ag-menu-list { display: table; border-collapse: collapse; }
.ag-menu-option { display: table-row; }
.ag-menu-option-text { display: table-cell; }
.ag-menu-option-shortcut { display: table-cell; }
.ag-menu-option-icon { display: table-cell; }
.ag-menu-option-popup-pointer { display: table-cell; }
.ag-menu-separator { display: table-row; }
.ag-menu-separator-cell { display: table-cell; }
.ag-filter-list-viewport { overflow-x: auto; height: 200px; width: 200px; }
.ag-filter-list-container { position: relative; overflow: hidden; }
.ag-filter-item { text-overflow: ellipsis; overflow: hidden; white-space: nowrap; position: absolute; }
.ag-filter-filter { width: 170px; margin: 4px; }
.ag-filter-select { width: 110px; margin: 4px 4px 0px; }
.ag-no-vertical-scroll .ag-scrolls { height: unset; }
.ag-no-vertical-scroll .ag-body { height: unset; }
.ag-no-vertical-scroll .ag-body-viewport-wrapper { height: unset; }
.ag-no-vertical-scroll .ag-body-viewport { height: unset; }
.ag-list-selection { user-select: none; cursor: default; }
.ag-tool-panel { width: 200px; user-select: none; cursor: default; height: 100%; box-sizing: border-box; }
.ag-column-select-indent { display: inline-block; }
.ag-column-select-column { margin-left: 14px; white-space: nowrap; }
.ag-column-select-column-group { white-space: nowrap; }
.ag-column-select-panel { height: 100%; overflow: auto; }
.ag-hidden { display: none; }
.ag-faded { opacity: 0.3; }
.ag-shake-left-to-right { animation-name: ag-shake-left-to-right; animation-duration: 0.2s; animation-iteration-count: infinite; animation-direction: alternate; }
@-webkit-keyframes ag-shake-left-to-right { 
  0% { padding-left: 6px; padding-right: 2px; }
  100% { padding-left: 2px; padding-right: 6px; }
}
@keyframes ag-shake-left-to-right { 
  0% { padding-left: 6px; padding-right: 2px; }
  100% { padding-left: 2px; padding-right: 6px; }
}
